summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJordi Mallach <jordim@src.gnome.org>2004-11-09 18:08:04 +0000
committerJordi Mallach <jordim@src.gnome.org>2004-11-09 18:08:04 +0000
commit76613c8f0092ac221b15af8342c83b6408f7ed83 (patch)
tree6a9b60b304f292fa209c5c9fe1fbee7d348874d8
parentc2ca33a7a05bffbb9d78068cdeebfdb2fbda1cfa (diff)
downloadgnome-common-76613c8f0092ac221b15af8342c83b6408f7ed83.tar.gz
Fix for automake1.4.
svn path=/trunk/; revision=3483
-rw-r--r--macros2/ChangeLog6
-rw-r--r--macros2/gnome-autogen.sh6
2 files changed, 11 insertions, 1 deletions
diff --git a/macros2/ChangeLog b/macros2/ChangeLog
index 5ea856a..f2a17a1 100644
--- a/macros2/ChangeLog
+++ b/macros2/ChangeLog
@@ -1,5 +1,11 @@
2004-11-09 Jordi Mallach <jordi@sindominio.net>
+ * gnome-autogen.sh: Workaround automake-1.4 limitations by just
+ using --force if $REQUIRED_AUTOMAKE_VERSION != 1.4. This avoids
+ Louie's wrath too. :)
+
+2004-11-09 Jordi Mallach <jordi@sindominio.net>
+
* gnome-autogen.sh: Call all the bootstrap programs (libtoolize,
intltoolize, gtkdocize, automake) using --force and --copy
consistently.
diff --git a/macros2/gnome-autogen.sh b/macros2/gnome-autogen.sh
index 0c74fb2..738d8ca 100644
--- a/macros2/gnome-autogen.sh
+++ b/macros2/gnome-autogen.sh
@@ -383,7 +383,11 @@ for configure_ac in $configure_files; do
# Finally, run automake to create the makefiles ...
printbold "Running $AUTOMAKE..."
- $AUTOMAKE --gnu --add-missing --force --copy || exit 1
+ if [ $REQUIRED_AUTOMAKE_VERSION != 1.4 ]; then
+ $AUTOMAKE --gnu --add-missing --force --copy || exit 1
+ else
+ $AUTOMAKE --gnu --add-missing --copy || exit 1
+ fi
cd "$topdir"
fi